# Demo App Web
Purpose, logo etc.


### Installation
Setup informations

## Architecture
framework architecture diagram

### CI/CD
description and diagram devops

### Runtime
npm commands described

### Lifecycle
application lifecycle chart and description

### Plugins
how to develop plugins

### Helpers
difference between plugin and helper

### Testing
how to properly TDD

### TODO in code
Comments to interfaces
